Skip to main content

Searches for customers matching either first name, last name, card number or email by separate fields

GET 

/rest/servicepoint/customers

Searches for customers matching either first name, last name, card number or email by separate fields. It is optional to search for all four fields. Note that if no parameters are specified in the PathSegment, an empty result list will be returned.

Example of usage :

curl -i -u user:password -X GET "http://orchestra-ip:orchestra-port/rest/servicepoint/customers;firstName=Carl;lastName=Carlson;cardNumber=1234;email=someone@somewhere.com"

Responses​

A Json list of Customer